#pragma once

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;


namespace MetaScalper {
	/// <summary>
	/// Summary for OrderEntry
	///
	/// WARNING: If you change the name of this class, you will need to change the
	///          'Resource File Name' property for the managed resource compiler tool
	///          associated with all .resx files this class depends on.  Otherwise,
	///          the designers will not be able to interact properly with localized
	///          resources associated with this form.
	/// </summary>
	public ref class OrderEntry : public System::Windows::Forms::Form
	{
	public:
		int event;
		static const int eventBuy =									1;
		static const int eventSell =								2;
		static const int eventAdd =									3;
		static const int eventReduce =							4;
		static const int eventCloseAll =						5;
		static const int eventSetStop =							6;
		static const int eventUnsetStop =						7;
		static const int eventUpdateStop =					8;
		static const int eventSetTarget1 =					12;
		static const int eventUnsetTarget1 =				13;
		static const int eventSetTarget2 =					14;
		static const int eventUnsetTarget2 =				15;
		static const int eventSetTarget3 =					16;
		static const int eventUnsetTarget3 =				17;
		static const int eventUpdateTarget1 =				18;
		static const int eventUpdateTarget2 =				19;
		static const int eventUpdateTarget3 =				20;







	private: System::Windows::Forms::FlowLayoutPanel^  flowLayoutPanelLots;
	private: System::Windows::Forms::Label^  labelLots;
	private: System::Windows::Forms::TableLayoutPanel^  tableLayoutPanelMain;
	private: System::Windows::Forms::GroupBox^  groupBoxOpen;
	private: System::Windows::Forms::GroupBox^  groupBoxSettings;
	private: System::Windows::Forms::TableLayoutPanel^  tableLayoutPanelSettings;
	private: System::Windows::Forms::GroupBox^  groupBoxAuto;
	private: System::Windows::Forms::FlowLayoutPanel^  flowLayoutPanelLotSize;
	private: System::Windows::Forms::Label^  labelLotSize;
	public: System::Windows::Forms::ComboBox^  comboBoxLotSize;
	private: System::Windows::Forms::GroupBox^  groupBoxAdjust;
	private: System::Windows::Forms::TableLayoutPanel^  tableLayoutPanelAdjust;
	private: System::Windows::Forms::Button^  buttonClose;
	private: System::Windows::Forms::Button^  buttonAdd;
	private: System::Windows::Forms::Button^  buttonReduce;
	private: System::Windows::Forms::FlowLayoutPanel^  flowLayoutPanelLotsAdjust;
	private: System::Windows::Forms::Label^  labelLotsAdjust;
	public: System::Windows::Forms::NumericUpDown^  numericUpDownLotsAdjust;
	private: System::Windows::Forms::TableLayoutPanel^  tableLayoutPanelATM;
	public: System::Windows::Forms::CheckBox^  checkBoxStop;
	private: 

	public: System::Windows::Forms::CheckBox^  checkBoxTarget1;
	public: System::Windows::Forms::NumericUpDown^  numericUpDownTarget1;

	public: System::Windows::Forms::CheckBox^  checkBoxTarget2;
	public: System::Windows::Forms::NumericUpDown^  numericUpDownTarget2;

	public: System::Windows::Forms::CheckBox^  checkBoxTarget3;
	public: System::Windows::Forms::NumericUpDown^  numericUpDownTarget3;

	public: System::Windows::Forms::NumericUpDown^  numericUpDownStop;
	private: 

	private: System::Windows::Forms::Button^  buttonUpdateStop;
	public: System::Windows::Forms::TextBox^  textBoxStop;
	private: 

	private: System::Windows::Forms::Button^  buttonUpdateT3;
	private: System::Windows::Forms::Button^  buttonUpdateT2;
	private: System::Windows::Forms::Button^  buttonUpdateT1;
	public: System::Windows::Forms::TextBox^  textBoxT1;
	private: 
	public: System::Windows::Forms::TextBox^  textBoxT2;
	public: System::Windows::Forms::TextBox^  textBoxT3;




	public: 

	public: System::Windows::Forms::NumericUpDown^  numericUpDownLots;













	public:
		OrderEntry(void)
		{
			InitializeComponent();
			//
			//TODO: Add the constructor code here
			//
			this->event = 0;
		}

	protected:
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		~OrderEntry()
		{
			if (components)
			{
				delete components;
			}
		}
	private: System::Windows::Forms::TableLayoutPanel^  tableLayoutPanelOpen;
	private: System::Windows::Forms::Button^  buttonBuy;
	private: System::Windows::Forms::Button^  buttonSell;

	private:
		/// <summary>
		/// Required designer variable.
		/// </summary>
		System::ComponentModel::Container ^components;

#pragma region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		void InitializeComponent(void)
		{
			this->tableLayoutPanelOpen = (gcnew System::Windows::Forms::TableLayoutPanel());
			this->buttonBuy = (gcnew System::Windows::Forms::Button());
			this->buttonSell = (gcnew System::Windows::Forms::Button());
			this->flowLayoutPanelLots = (gcnew System::Windows::Forms::FlowLayoutPanel());
			this->labelLots = (gcnew System::Windows::Forms::Label());
			this->numericUpDownLots = (gcnew System::Windows::Forms::NumericUpDown());
			this->tableLayoutPanelMain = (gcnew System::Windows::Forms::TableLayoutPanel());
			this->groupBoxAuto = (gcnew System::Windows::Forms::GroupBox());
			this->tableLayoutPanelATM = (gcnew System::Windows::Forms::TableLayoutPanel());
			this->checkBoxStop = (gcnew System::Windows::Forms::CheckBox());
			this->numericUpDownStop = (gcnew System::Windows::Forms::NumericUpDown());
			this->checkBoxTarget1 = (gcnew System::Windows::Forms::CheckBox());
			this->numericUpDownTarget1 = (gcnew System::Windows::Forms::NumericUpDown());
			this->checkBoxTarget2 = (gcnew System::Windows::Forms::CheckBox());
			this->numericUpDownTarget2 = (gcnew System::Windows::Forms::NumericUpDown());
			this->checkBoxTarget3 = (gcnew System::Windows::Forms::CheckBox());
			this->numericUpDownTarget3 = (gcnew System::Windows::Forms::NumericUpDown());
			this->buttonUpdateStop = (gcnew System::Windows::Forms::Button());
			this->groupBoxSettings = (gcnew System::Windows::Forms::GroupBox());
			this->tableLayoutPanelSettings = (gcnew System::Windows::Forms::TableLayoutPanel());
			this->flowLayoutPanelLotSize = (gcnew System::Windows::Forms::FlowLayoutPanel());
			this->labelLotSize = (gcnew System::Windows::Forms::Label());
			this->comboBoxLotSize = (gcnew System::Windows::Forms::ComboBox());
			this->groupBoxAdjust = (gcnew System::Windows::Forms::GroupBox());
			this->tableLayoutPanelAdjust = (gcnew System::Windows::Forms::TableLayoutPanel());
			this->buttonClose = (gcnew System::Windows::Forms::Button());
			this->buttonAdd = (gcnew System::Windows::Forms::Button());
			this->buttonReduce = (gcnew System::Windows::Forms::Button());
			this->flowLayoutPanelLotsAdjust = (gcnew System::Windows::Forms::FlowLayoutPanel());
			this->labelLotsAdjust = (gcnew System::Windows::Forms::Label());
			this->numericUpDownLotsAdjust = (gcnew System::Windows::Forms::NumericUpDown());
			this->groupBoxOpen = (gcnew System::Windows::Forms::GroupBox());
			this->textBoxStop = (gcnew System::Windows::Forms::TextBox());
			this->textBoxT1 = (gcnew System::Windows::Forms::TextBox());
			this->textBoxT2 = (gcnew System::Windows::Forms::TextBox());
			this->textBoxT3 = (gcnew System::Windows::Forms::TextBox());
			this->buttonUpdateT1 = (gcnew System::Windows::Forms::Button());
			this->buttonUpdateT2 = (gcnew System::Windows::Forms::Button());
			this->buttonUpdateT3 = (gcnew System::Windows::Forms::Button());
			this->tableLayoutPanelOpen->SuspendLayout();
			this->flowLayoutPanelLots->SuspendLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownLots))->BeginInit();
			this->tableLayoutPanelMain->SuspendLayout();
			this->groupBoxAuto->SuspendLayout();
			this->tableLayoutPanelATM->SuspendLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownStop))->BeginInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownTarget1))->BeginInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownTarget2))->BeginInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownTarget3))->BeginInit();
			this->groupBoxSettings->SuspendLayout();
			this->tableLayoutPanelSettings->SuspendLayout();
			this->flowLayoutPanelLotSize->SuspendLayout();
			this->groupBoxAdjust->SuspendLayout();
			this->tableLayoutPanelAdjust->SuspendLayout();
			this->flowLayoutPanelLotsAdjust->SuspendLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownLotsAdjust))->BeginInit();
			this->groupBoxOpen->SuspendLayout();
			this->SuspendLayout();
			// 
			// tableLayoutPanelOpen
			// 
			this->tableLayoutPanelOpen->AutoSize = true;
			this->tableLayoutPanelOpen->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->tableLayoutPanelOpen->ColumnCount = 1;
			this->tableLayoutPanelOpen->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle(System::Windows::Forms::SizeType::Percent, 
				100)));
			this->tableLayoutPanelOpen->Controls->Add(this->buttonBuy, 0, 1);
			this->tableLayoutPanelOpen->Controls->Add(this->buttonSell, 0, 2);
			this->tableLayoutPanelOpen->Controls->Add(this->flowLayoutPanelLots, 0, 0);
			this->tableLayoutPanelOpen->Dock = System::Windows::Forms::DockStyle::Fill;
			this->tableLayoutPanelOpen->Location = System::Drawing::Point(3, 16);
			this->tableLayoutPanelOpen->Name = L"tableLayoutPanelOpen";
			this->tableLayoutPanelOpen->RowCount = 3;
			this->tableLayoutPanelOpen->RowStyles->Add((gcnew System::Windows::Forms::RowStyle()));
			this->tableLayoutPanelOpen->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Percent, 
				50)));
			this->tableLayoutPanelOpen->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Percent, 
				50)));
			this->tableLayoutPanelOpen->Size = System::Drawing::Size(118, 173);
			this->tableLayoutPanelOpen->TabIndex = 1;
			// 
			// buttonBuy
			// 
			this->buttonBuy->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->buttonBuy->AutoSize = true;
			this->buttonBuy->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->buttonBuy->BackColor = System::Drawing::Color::FromArgb(static_cast<System::Int32>(static_cast<System::Byte>(0)), static_cast<System::Int32>(static_cast<System::Byte>(192)), 
				static_cast<System::Int32>(static_cast<System::Byte>(0)));
			this->buttonBuy->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->buttonBuy->Location = System::Drawing::Point(3, 35);
			this->buttonBuy->Name = L"buttonBuy";
			this->buttonBuy->Size = System::Drawing::Size(112, 64);
			this->buttonBuy->TabIndex = 1;
			this->buttonBuy->Text = L"BUY";
			this->buttonBuy->UseVisualStyleBackColor = false;
			this->buttonBuy->Click += gcnew System::EventHandler(this, &OrderEntry::buttonBuy_Click);
			// 
			// buttonSell
			// 
			this->buttonSell->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->buttonSell->AutoSize = true;
			this->buttonSell->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->buttonSell->BackColor = System::Drawing::Color::FromArgb(static_cast<System::Int32>(static_cast<System::Byte>(192)), static_cast<System::Int32>(static_cast<System::Byte>(0)), 
				static_cast<System::Int32>(static_cast<System::Byte>(0)));
			this->buttonSell->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->buttonSell->Location = System::Drawing::Point(3, 105);
			this->buttonSell->Name = L"buttonSell";
			this->buttonSell->Size = System::Drawing::Size(112, 65);
			this->buttonSell->TabIndex = 2;
			this->buttonSell->Text = L"SELL";
			this->buttonSell->UseVisualStyleBackColor = false;
			this->buttonSell->Click += gcnew System::EventHandler(this, &OrderEntry::buttonSell_Click);
			// 
			// flowLayoutPanelLots
			// 
			this->flowLayoutPanelLots->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->flowLayoutPanelLots->AutoSize = true;
			this->flowLayoutPanelLots->Controls->Add(this->labelLots);
			this->flowLayoutPanelLots->Controls->Add(this->numericUpDownLots);
			this->flowLayoutPanelLots->Location = System::Drawing::Point(18, 3);
			this->flowLayoutPanelLots->Name = L"flowLayoutPanelLots";
			this->flowLayoutPanelLots->Size = System::Drawing::Size(82, 26);
			this->flowLayoutPanelLots->TabIndex = 3;
			this->flowLayoutPanelLots->WrapContents = false;
			// 
			// labelLots
			// 
			this->labelLots->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->labelLots->AutoSize = true;
			this->labelLots->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->labelLots->Location = System::Drawing::Point(3, 6);
			this->labelLots->Name = L"labelLots";
			this->labelLots->Size = System::Drawing::Size(30, 13);
			this->labelLots->TabIndex = 0;
			this->labelLots->Text = L"Lots:";
			// 
			// numericUpDownLots
			// 
			this->numericUpDownLots->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->numericUpDownLots->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, 
				System::Drawing::GraphicsUnit::Point, static_cast<System::Byte>(0)));
			this->numericUpDownLots->Location = System::Drawing::Point(39, 3);
			this->numericUpDownLots->Minimum = System::Decimal(gcnew cli::array< System::Int32 >(4) {1, 0, 0, 0});
			this->numericUpDownLots->Name = L"numericUpDownLots";
			this->numericUpDownLots->Size = System::Drawing::Size(40, 20);
			this->numericUpDownLots->TabIndex = 1;
			this->numericUpDownLots->Value = System::Decimal(gcnew cli::array< System::Int32 >(4) {3, 0, 0, 0});
			// 
			// tableLayoutPanelMain
			// 
			this->tableLayoutPanelMain->AutoSize = true;
			this->tableLayoutPanelMain->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->tableLayoutPanelMain->ColumnCount = 2;
			this->tableLayoutPanelMain->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle(System::Windows::Forms::SizeType::Percent, 
				50)));
			this->tableLayoutPanelMain->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle(System::Windows::Forms::SizeType::Percent, 
				50)));
			this->tableLayoutPanelMain->Controls->Add(this->groupBoxAuto, 0, 2);
			this->tableLayoutPanelMain->Controls->Add(this->groupBoxSettings, 0, 0);
			this->tableLayoutPanelMain->Controls->Add(this->groupBoxAdjust, 1, 1);
			this->tableLayoutPanelMain->Controls->Add(this->groupBoxOpen, 0, 1);
			this->tableLayoutPanelMain->Dock = System::Windows::Forms::DockStyle::Fill;
			this->tableLayoutPanelMain->Location = System::Drawing::Point(0, 0);
			this->tableLayoutPanelMain->Name = L"tableLayoutPanelMain";
			this->tableLayoutPanelMain->RowCount = 3;
			this->tableLayoutPanelMain->RowStyles->Add((gcnew System::Windows::Forms::RowStyle()));
			this->tableLayoutPanelMain->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Percent, 
				100)));
			this->tableLayoutPanelMain->RowStyles->Add((gcnew System::Windows::Forms::RowStyle()));
			this->tableLayoutPanelMain->Size = System::Drawing::Size(261, 408);
			this->tableLayoutPanelMain->TabIndex = 2;
			// 
			// groupBoxAuto
			// 
			this->groupBoxAuto->AutoSize = true;
			this->groupBoxAuto->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->tableLayoutPanelMain->SetColumnSpan(this->groupBoxAuto, 2);
			this->groupBoxAuto->Controls->Add(this->tableLayoutPanelATM);
			this->groupBoxAuto->Dock = System::Windows::Forms::DockStyle::Fill;
			this->groupBoxAuto->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->groupBoxAuto->Location = System::Drawing::Point(3, 259);
			this->groupBoxAuto->Name = L"groupBoxAuto";
			this->groupBoxAuto->Padding = System::Windows::Forms::Padding(6);
			this->groupBoxAuto->Size = System::Drawing::Size(255, 146);
			this->groupBoxAuto->TabIndex = 3;
			this->groupBoxAuto->TabStop = false;
			this->groupBoxAuto->Text = L"Auto Trade Management";
			// 
			// tableLayoutPanelATM
			// 
			this->tableLayoutPanelATM->AutoSize = true;
			this->tableLayoutPanelATM->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->tableLayoutPanelATM->CellBorderStyle = System::Windows::Forms::TableLayoutPanelCellBorderStyle::Single;
			this->tableLayoutPanelATM->ColumnCount = 4;
			this->tableLayoutPanelATM->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle()));
			this->tableLayoutPanelATM->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle()));
			this->tableLayoutPanelATM->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle()));
			this->tableLayoutPanelATM->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle()));
			this->tableLayoutPanelATM->Controls->Add(this->buttonUpdateT3, 3, 3);
			this->tableLayoutPanelATM->Controls->Add(this->buttonUpdateT2, 3, 2);
			this->tableLayoutPanelATM->Controls->Add(this->buttonUpdateT1, 3, 1);
			this->tableLayoutPanelATM->Controls->Add(this->textBoxT1, 2, 1);
			this->tableLayoutPanelATM->Controls->Add(this->checkBoxStop, 0, 0);
			this->tableLayoutPanelATM->Controls->Add(this->numericUpDownStop, 1, 0);
			this->tableLayoutPanelATM->Controls->Add(this->checkBoxTarget1, 0, 1);
			this->tableLayoutPanelATM->Controls->Add(this->numericUpDownTarget1, 1, 1);
			this->tableLayoutPanelATM->Controls->Add(this->checkBoxTarget2, 0, 2);
			this->tableLayoutPanelATM->Controls->Add(this->numericUpDownTarget2, 1, 2);
			this->tableLayoutPanelATM->Controls->Add(this->checkBoxTarget3, 0, 3);
			this->tableLayoutPanelATM->Controls->Add(this->numericUpDownTarget3, 1, 3);
			this->tableLayoutPanelATM->Controls->Add(this->buttonUpdateStop, 3, 0);
			this->tableLayoutPanelATM->Controls->Add(this->textBoxStop, 2, 0);
			this->tableLayoutPanelATM->Controls->Add(this->textBoxT2, 2, 2);
			this->tableLayoutPanelATM->Controls->Add(this->textBoxT3, 2, 3);
			this->tableLayoutPanelATM->Dock = System::Windows::Forms::DockStyle::Fill;
			this->tableLayoutPanelATM->Location = System::Drawing::Point(6, 19);
			this->tableLayoutPanelATM->Name = L"tableLayoutPanelATM";
			this->tableLayoutPanelATM->RowCount = 4;
			this->tableLayoutPanelATM->RowStyles->Add((gcnew System::Windows::Forms::RowStyle()));
			this->tableLayoutPanelATM->RowStyles->Add((gcnew System::Windows::Forms::RowStyle()));
			this->tableLayoutPanelATM->RowStyles->Add((gcnew System::Windows::Forms::RowStyle()));
			this->tableLayoutPanelATM->RowStyles->Add((gcnew System::Windows::Forms::RowStyle()));
			this->tableLayoutPanelATM->Size = System::Drawing::Size(243, 121);
			this->tableLayoutPanelATM->TabIndex = 0;
			// 
			// checkBoxStop
			// 
			this->checkBoxStop->Anchor = System::Windows::Forms::AnchorStyles::Left;
			this->checkBoxStop->AutoSize = true;
			this->checkBoxStop->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->checkBoxStop->Location = System::Drawing::Point(4, 7);
			this->checkBoxStop->Name = L"checkBoxStop";
			this->checkBoxStop->Size = System::Drawing::Size(48, 17);
			this->checkBoxStop->TabIndex = 0;
			this->checkBoxStop->Text = L"Stop";
			this->checkBoxStop->UseVisualStyleBackColor = true;
			this->checkBoxStop->CheckedChanged += gcnew System::EventHandler(this, &OrderEntry::checkBoxStop_CheckedChanged);
			// 
			// numericUpDownStop
			// 
			this->numericUpDownStop->Anchor = System::Windows::Forms::AnchorStyles::Left;
			this->numericUpDownStop->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, 
				System::Drawing::GraphicsUnit::Point, static_cast<System::Byte>(0)));
			this->numericUpDownStop->Location = System::Drawing::Point(59, 5);
			this->numericUpDownStop->Minimum = System::Decimal(gcnew cli::array< System::Int32 >(4) {1, 0, 0, 0});
			this->numericUpDownStop->Name = L"numericUpDownStop";
			this->numericUpDownStop->Size = System::Drawing::Size(44, 20);
			this->numericUpDownStop->TabIndex = 1;
			this->numericUpDownStop->Value = System::Decimal(gcnew cli::array< System::Int32 >(4) {20, 0, 0, 0});
			this->numericUpDownStop->ValueChanged += gcnew System::EventHandler(this, &OrderEntry::numericUpDownStop_ValueChanged);
			// 
			// checkBoxTarget1
			// 
			this->checkBoxTarget1->Anchor = System::Windows::Forms::AnchorStyles::Left;
			this->checkBoxTarget1->AutoSize = true;
			this->checkBoxTarget1->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->checkBoxTarget1->Location = System::Drawing::Point(4, 37);
			this->checkBoxTarget1->Name = L"checkBoxTarget1";
			this->checkBoxTarget1->Size = System::Drawing::Size(39, 17);
			this->checkBoxTarget1->TabIndex = 12;
			this->checkBoxTarget1->Text = L"T1";
			this->checkBoxTarget1->UseVisualStyleBackColor = true;
			this->checkBoxTarget1->CheckedChanged += gcnew System::EventHandler(this, &OrderEntry::checkBoxTarget1_CheckedChanged);
			// 
			// numericUpDownTarget1
			// 
			this->numericUpDownTarget1->Anchor = System::Windows::Forms::AnchorStyles::Left;
			this->numericUpDownTarget1->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, 
				System::Drawing::GraphicsUnit::Point, static_cast<System::Byte>(0)));
			this->numericUpDownTarget1->Location = System::Drawing::Point(59, 35);
			this->numericUpDownTarget1->Minimum = System::Decimal(gcnew cli::array< System::Int32 >(4) {1, 0, 0, 0});
			this->numericUpDownTarget1->Name = L"numericUpDownTarget1";
			this->numericUpDownTarget1->Size = System::Drawing::Size(44, 20);
			this->numericUpDownTarget1->TabIndex = 13;
			this->numericUpDownTarget1->Value = System::Decimal(gcnew cli::array< System::Int32 >(4) {10, 0, 0, 0});
			this->numericUpDownTarget1->ValueChanged += gcnew System::EventHandler(this, &OrderEntry::numericUpDownTarget1_ValueChanged);
			// 
			// checkBoxTarget2
			// 
			this->checkBoxTarget2->Anchor = System::Windows::Forms::AnchorStyles::Left;
			this->checkBoxTarget2->AutoSize = true;
			this->checkBoxTarget2->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->checkBoxTarget2->Location = System::Drawing::Point(4, 67);
			this->checkBoxTarget2->Name = L"checkBoxTarget2";
			this->checkBoxTarget2->Size = System::Drawing::Size(39, 17);
			this->checkBoxTarget2->TabIndex = 15;
			this->checkBoxTarget2->Text = L"T2";
			this->checkBoxTarget2->UseVisualStyleBackColor = true;
			this->checkBoxTarget2->CheckedChanged += gcnew System::EventHandler(this, &OrderEntry::checkBoxTarget2_CheckedChanged);
			// 
			// numericUpDownTarget2
			// 
			this->numericUpDownTarget2->Anchor = System::Windows::Forms::AnchorStyles::Left;
			this->numericUpDownTarget2->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, 
				System::Drawing::GraphicsUnit::Point, static_cast<System::Byte>(0)));
			this->numericUpDownTarget2->Location = System::Drawing::Point(59, 65);
			this->numericUpDownTarget2->Minimum = System::Decimal(gcnew cli::array< System::Int32 >(4) {1, 0, 0, 0});
			this->numericUpDownTarget2->Name = L"numericUpDownTarget2";
			this->numericUpDownTarget2->Size = System::Drawing::Size(44, 20);
			this->numericUpDownTarget2->TabIndex = 16;
			this->numericUpDownTarget2->Value = System::Decimal(gcnew cli::array< System::Int32 >(4) {20, 0, 0, 0});
			this->numericUpDownTarget2->ValueChanged += gcnew System::EventHandler(this, &OrderEntry::numericUpDownTarget2_ValueChanged);
			// 
			// checkBoxTarget3
			// 
			this->checkBoxTarget3->Anchor = System::Windows::Forms::AnchorStyles::Left;
			this->checkBoxTarget3->AutoSize = true;
			this->checkBoxTarget3->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->checkBoxTarget3->Location = System::Drawing::Point(4, 97);
			this->checkBoxTarget3->Name = L"checkBoxTarget3";
			this->checkBoxTarget3->Size = System::Drawing::Size(39, 17);
			this->checkBoxTarget3->TabIndex = 18;
			this->checkBoxTarget3->Text = L"T3";
			this->checkBoxTarget3->UseVisualStyleBackColor = true;
			this->checkBoxTarget3->CheckedChanged += gcnew System::EventHandler(this, &OrderEntry::checkBoxTarget3_CheckedChanged);
			// 
			// numericUpDownTarget3
			// 
			this->numericUpDownTarget3->Anchor = System::Windows::Forms::AnchorStyles::Left;
			this->numericUpDownTarget3->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, 
				System::Drawing::GraphicsUnit::Point, static_cast<System::Byte>(0)));
			this->numericUpDownTarget3->Location = System::Drawing::Point(59, 95);
			this->numericUpDownTarget3->Minimum = System::Decimal(gcnew cli::array< System::Int32 >(4) {1, 0, 0, 0});
			this->numericUpDownTarget3->Name = L"numericUpDownTarget3";
			this->numericUpDownTarget3->Size = System::Drawing::Size(44, 20);
			this->numericUpDownTarget3->TabIndex = 19;
			this->numericUpDownTarget3->Value = System::Decimal(gcnew cli::array< System::Int32 >(4) {30, 0, 0, 0});
			this->numericUpDownTarget3->ValueChanged += gcnew System::EventHandler(this, &OrderEntry::numericUpDownTarget3_ValueChanged);
			// 
			// buttonUpdateStop
			// 
			this->buttonUpdateStop->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->buttonUpdateStop->AutoSize = true;
			this->buttonUpdateStop->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->buttonUpdateStop->BackColor = System::Drawing::Color::FromArgb(static_cast<System::Int32>(static_cast<System::Byte>(136)), 
				static_cast<System::Int32>(static_cast<System::Byte>(158)), static_cast<System::Int32>(static_cast<System::Byte>(176)));
			this->buttonUpdateStop->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->buttonUpdateStop->Location = System::Drawing::Point(187, 4);
			this->buttonUpdateStop->Name = L"buttonUpdateStop";
			this->buttonUpdateStop->Size = System::Drawing::Size(52, 23);
			this->buttonUpdateStop->TabIndex = 21;
			this->buttonUpdateStop->Text = L"Set";
			this->buttonUpdateStop->UseVisualStyleBackColor = false;
			this->buttonUpdateStop->Click += gcnew System::EventHandler(this, &OrderEntry::buttonUpdateStop_Click);
			// 
			// groupBoxSettings
			// 
			this->groupBoxSettings->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->groupBoxSettings->AutoSize = true;
			this->groupBoxSettings->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->tableLayoutPanelMain->SetColumnSpan(this->groupBoxSettings, 2);
			this->groupBoxSettings->Controls->Add(this->tableLayoutPanelSettings);
			this->groupBoxSettings->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, 
				System::Drawing::GraphicsUnit::Point, static_cast<System::Byte>(0)));
			this->groupBoxSettings->Location = System::Drawing::Point(3, 3);
			this->groupBoxSettings->Name = L"groupBoxSettings";
			this->groupBoxSettings->Size = System::Drawing::Size(255, 52);
			this->groupBoxSettings->TabIndex = 2;
			this->groupBoxSettings->TabStop = false;
			this->groupBoxSettings->Text = L"Settings";
			// 
			// tableLayoutPanelSettings
			// 
			this->tableLayoutPanelSettings->AutoSize = true;
			this->tableLayoutPanelSettings->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->tableLayoutPanelSettings->ColumnCount = 1;
			this->tableLayoutPanelSettings->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle(System::Windows::Forms::SizeType::Percent, 
				100)));
			this->tableLayoutPanelSettings->Controls->Add(this->flowLayoutPanelLotSize, 0, 0);
			this->tableLayoutPanelSettings->Dock = System::Windows::Forms::DockStyle::Fill;
			this->tableLayoutPanelSettings->Location = System::Drawing::Point(3, 16);
			this->tableLayoutPanelSettings->Name = L"tableLayoutPanelSettings";
			this->tableLayoutPanelSettings->RowCount = 1;
			this->tableLayoutPanelSettings->RowStyles->Add((gcnew System::Windows::Forms::RowStyle()));
			this->tableLayoutPanelSettings->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Absolute, 
				33)));
			this->tableLayoutPanelSettings->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Absolute, 
				33)));
			this->tableLayoutPanelSettings->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Absolute, 
				33)));
			this->tableLayoutPanelSettings->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Absolute, 
				33)));
			this->tableLayoutPanelSettings->Size = System::Drawing::Size(249, 33);
			this->tableLayoutPanelSettings->TabIndex = 1;
			// 
			// flowLayoutPanelLotSize
			// 
			this->flowLayoutPanelLotSize->Anchor = System::Windows::Forms::AnchorStyles::Left;
			this->flowLayoutPanelLotSize->AutoSize = true;
			this->flowLayoutPanelLotSize->Controls->Add(this->labelLotSize);
			this->flowLayoutPanelLotSize->Controls->Add(this->comboBoxLotSize);
			this->flowLayoutPanelLotSize->Location = System::Drawing::Point(3, 3);
			this->flowLayoutPanelLotSize->Name = L"flowLayoutPanelLotSize";
			this->flowLayoutPanelLotSize->Size = System::Drawing::Size(155, 27);
			this->flowLayoutPanelLotSize->TabIndex = 3;
			this->flowLayoutPanelLotSize->WrapContents = false;
			// 
			// labelLotSize
			// 
			this->labelLotSize->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->labelLotSize->AutoSize = true;
			this->labelLotSize->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->labelLotSize->Location = System::Drawing::Point(3, 7);
			this->labelLotSize->Name = L"labelLotSize";
			this->labelLotSize->Size = System::Drawing::Size(46, 13);
			this->labelLotSize->TabIndex = 0;
			this->labelLotSize->Text = L"Lot size:";
			// 
			// comboBoxLotSize
			// 
			this->comboBoxLotSize->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->comboBoxLotSize->FormattingEnabled = true;
			this->comboBoxLotSize->Items->AddRange(gcnew cli::array< System::Object^  >(3) {L"0.01", L"0.1", L"1.0"});
			this->comboBoxLotSize->Location = System::Drawing::Point(55, 3);
			this->comboBoxLotSize->Name = L"comboBoxLotSize";
			this->comboBoxLotSize->Size = System::Drawing::Size(97, 21);
			this->comboBoxLotSize->TabIndex = 1;
			this->comboBoxLotSize->Text = L"0.1";
			// 
			// groupBoxAdjust
			// 
			this->groupBoxAdjust->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->groupBoxAdjust->AutoSize = true;
			this->groupBoxAdjust->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->groupBoxAdjust->Controls->Add(this->tableLayoutPanelAdjust);
			this->groupBoxAdjust->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->groupBoxAdjust->Location = System::Drawing::Point(133, 61);
			this->groupBoxAdjust->Name = L"groupBoxAdjust";
			this->groupBoxAdjust->Size = System::Drawing::Size(125, 192);
			this->groupBoxAdjust->TabIndex = 1;
			this->groupBoxAdjust->TabStop = false;
			this->groupBoxAdjust->Text = L"Adjust";
			// 
			// tableLayoutPanelAdjust
			// 
			this->tableLayoutPanelAdjust->AutoSize = true;
			this->tableLayoutPanelAdjust->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->tableLayoutPanelAdjust->ColumnCount = 1;
			this->tableLayoutPanelAdjust->ColumnStyles->Add((gcnew System::Windows::Forms::ColumnStyle(System::Windows::Forms::SizeType::Percent, 
				100)));
			this->tableLayoutPanelAdjust->Controls->Add(this->buttonClose, 0, 3);
			this->tableLayoutPanelAdjust->Controls->Add(this->buttonAdd, 0, 1);
			this->tableLayoutPanelAdjust->Controls->Add(this->buttonReduce, 0, 2);
			this->tableLayoutPanelAdjust->Controls->Add(this->flowLayoutPanelLotsAdjust, 0, 0);
			this->tableLayoutPanelAdjust->Dock = System::Windows::Forms::DockStyle::Fill;
			this->tableLayoutPanelAdjust->Location = System::Drawing::Point(3, 16);
			this->tableLayoutPanelAdjust->Name = L"tableLayoutPanelAdjust";
			this->tableLayoutPanelAdjust->RowCount = 4;
			this->tableLayoutPanelAdjust->RowStyles->Add((gcnew System::Windows::Forms::RowStyle()));
			this->tableLayoutPanelAdjust->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Percent, 
				33.66337F)));
			this->tableLayoutPanelAdjust->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Percent, 
				33.66337F)));
			this->tableLayoutPanelAdjust->RowStyles->Add((gcnew System::Windows::Forms::RowStyle(System::Windows::Forms::SizeType::Percent, 
				32.67327F)));
			this->tableLayoutPanelAdjust->Size = System::Drawing::Size(119, 173);
			this->tableLayoutPanelAdjust->TabIndex = 1;
			// 
			// buttonClose
			// 
			this->buttonClose->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->buttonClose->AutoSize = true;
			this->buttonClose->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->buttonClose->BackColor = System::Drawing::Color::Gray;
			this->buttonClose->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->buttonClose->Location = System::Drawing::Point(3, 129);
			this->buttonClose->Name = L"buttonClose";
			this->buttonClose->Size = System::Drawing::Size(113, 41);
			this->buttonClose->TabIndex = 4;
			this->buttonClose->Text = L"CLOSE ALL";
			this->buttonClose->UseVisualStyleBackColor = false;
			this->buttonClose->Click += gcnew System::EventHandler(this, &OrderEntry::buttonClose_Click);
			// 
			// buttonAdd
			// 
			this->buttonAdd->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->buttonAdd->AutoSize = true;
			this->buttonAdd->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->buttonAdd->BackColor = System::Drawing::Color::FromArgb(static_cast<System::Int32>(static_cast<System::Byte>(121)), static_cast<System::Int32>(static_cast<System::Byte>(210)), 
				static_cast<System::Int32>(static_cast<System::Byte>(117)));
			this->buttonAdd->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->buttonAdd->Location = System::Drawing::Point(3, 35);
			this->buttonAdd->Name = L"buttonAdd";
			this->buttonAdd->Size = System::Drawing::Size(113, 41);
			this->buttonAdd->TabIndex = 1;
			this->buttonAdd->Text = L"ADD";
			this->buttonAdd->UseVisualStyleBackColor = false;
			this->buttonAdd->Click += gcnew System::EventHandler(this, &OrderEntry::buttonAdd_Click);
			// 
			// buttonReduce
			// 
			this->buttonReduce->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->buttonReduce->AutoSize = true;
			this->buttonReduce->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->buttonReduce->BackColor = System::Drawing::Color::FromArgb(static_cast<System::Int32>(static_cast<System::Byte>(219)), static_cast<System::Int32>(static_cast<System::Byte>(155)), 
				static_cast<System::Int32>(static_cast<System::Byte>(136)));
			this->buttonReduce->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->buttonReduce->Location = System::Drawing::Point(3, 82);
			this->buttonReduce->Name = L"buttonReduce";
			this->buttonReduce->Size = System::Drawing::Size(113, 41);
			this->buttonReduce->TabIndex = 2;
			this->buttonReduce->Text = L"REDUCE";
			this->buttonReduce->UseVisualStyleBackColor = false;
			this->buttonReduce->Click += gcnew System::EventHandler(this, &OrderEntry::buttonReduce_Click);
			// 
			// flowLayoutPanelLotsAdjust
			// 
			this->flowLayoutPanelLotsAdjust->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->flowLayoutPanelLotsAdjust->AutoSize = true;
			this->flowLayoutPanelLotsAdjust->Controls->Add(this->labelLotsAdjust);
			this->flowLayoutPanelLotsAdjust->Controls->Add(this->numericUpDownLotsAdjust);
			this->flowLayoutPanelLotsAdjust->Location = System::Drawing::Point(18, 3);
			this->flowLayoutPanelLotsAdjust->Name = L"flowLayoutPanelLotsAdjust";
			this->flowLayoutPanelLotsAdjust->Size = System::Drawing::Size(82, 26);
			this->flowLayoutPanelLotsAdjust->TabIndex = 3;
			this->flowLayoutPanelLotsAdjust->WrapContents = false;
			// 
			// labelLotsAdjust
			// 
			this->labelLotsAdjust->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->labelLotsAdjust->AutoSize = true;
			this->labelLotsAdjust->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->labelLotsAdjust->Location = System::Drawing::Point(3, 6);
			this->labelLotsAdjust->Name = L"labelLotsAdjust";
			this->labelLotsAdjust->Size = System::Drawing::Size(30, 13);
			this->labelLotsAdjust->TabIndex = 0;
			this->labelLotsAdjust->Text = L"Lots:";
			// 
			// numericUpDownLotsAdjust
			// 
			this->numericUpDownLotsAdjust->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->numericUpDownLotsAdjust->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, 
				System::Drawing::GraphicsUnit::Point, static_cast<System::Byte>(0)));
			this->numericUpDownLotsAdjust->Location = System::Drawing::Point(39, 3);
			this->numericUpDownLotsAdjust->Minimum = System::Decimal(gcnew cli::array< System::Int32 >(4) {1, 0, 0, 0});
			this->numericUpDownLotsAdjust->Name = L"numericUpDownLotsAdjust";
			this->numericUpDownLotsAdjust->Size = System::Drawing::Size(40, 20);
			this->numericUpDownLotsAdjust->TabIndex = 1;
			this->numericUpDownLotsAdjust->Value = System::Decimal(gcnew cli::array< System::Int32 >(4) {1, 0, 0, 0});
			// 
			// groupBoxOpen
			// 
			this->groupBoxOpen->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->groupBoxOpen->AutoSize = true;
			this->groupBoxOpen->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->groupBoxOpen->Controls->Add(this->tableLayoutPanelOpen);
			this->groupBoxOpen->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->groupBoxOpen->Location = System::Drawing::Point(3, 61);
			this->groupBoxOpen->Name = L"groupBoxOpen";
			this->groupBoxOpen->Size = System::Drawing::Size(124, 192);
			this->groupBoxOpen->TabIndex = 0;
			this->groupBoxOpen->TabStop = false;
			this->groupBoxOpen->Text = L"Open";
			// 
			// textBoxStop
			// 
			this->textBoxStop->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->textBoxStop->Location = System::Drawing::Point(110, 5);
			this->textBoxStop->Name = L"textBoxStop";
			this->textBoxStop->Size = System::Drawing::Size(70, 20);
			this->textBoxStop->TabIndex = 22;
			// 
			// textBoxT1
			// 
			this->textBoxT1->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->textBoxT1->Location = System::Drawing::Point(110, 35);
			this->textBoxT1->Name = L"textBoxT1";
			this->textBoxT1->Size = System::Drawing::Size(70, 20);
			this->textBoxT1->TabIndex = 23;
			// 
			// textBoxT2
			// 
			this->textBoxT2->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->textBoxT2->Location = System::Drawing::Point(110, 65);
			this->textBoxT2->Name = L"textBoxT2";
			this->textBoxT2->Size = System::Drawing::Size(70, 20);
			this->textBoxT2->TabIndex = 24;
			// 
			// textBoxT3
			// 
			this->textBoxT3->Anchor = System::Windows::Forms::AnchorStyles::None;
			this->textBoxT3->Location = System::Drawing::Point(110, 95);
			this->textBoxT3->Name = L"textBoxT3";
			this->textBoxT3->Size = System::Drawing::Size(70, 20);
			this->textBoxT3->TabIndex = 25;
			// 
			// buttonUpdateT1
			// 
			this->buttonUpdateT1->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->buttonUpdateT1->AutoSize = true;
			this->buttonUpdateT1->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->buttonUpdateT1->BackColor = System::Drawing::Color::FromArgb(static_cast<System::Int32>(static_cast<System::Byte>(136)), static_cast<System::Int32>(static_cast<System::Byte>(158)), 
				static_cast<System::Int32>(static_cast<System::Byte>(176)));
			this->buttonUpdateT1->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->buttonUpdateT1->Location = System::Drawing::Point(187, 34);
			this->buttonUpdateT1->Name = L"buttonUpdateT1";
			this->buttonUpdateT1->Size = System::Drawing::Size(52, 23);
			this->buttonUpdateT1->TabIndex = 26;
			this->buttonUpdateT1->Text = L"Set";
			this->buttonUpdateT1->UseVisualStyleBackColor = false;
			this->buttonUpdateT1->Click += gcnew System::EventHandler(this, &OrderEntry::buttonUpdateT1_Click);
			// 
			// buttonUpdateT2
			// 
			this->buttonUpdateT2->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->buttonUpdateT2->AutoSize = true;
			this->buttonUpdateT2->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->buttonUpdateT2->BackColor = System::Drawing::Color::FromArgb(static_cast<System::Int32>(static_cast<System::Byte>(136)), static_cast<System::Int32>(static_cast<System::Byte>(158)), 
				static_cast<System::Int32>(static_cast<System::Byte>(176)));
			this->buttonUpdateT2->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->buttonUpdateT2->Location = System::Drawing::Point(187, 64);
			this->buttonUpdateT2->Name = L"buttonUpdateT2";
			this->buttonUpdateT2->Size = System::Drawing::Size(52, 23);
			this->buttonUpdateT2->TabIndex = 27;
			this->buttonUpdateT2->Text = L"Set";
			this->buttonUpdateT2->UseVisualStyleBackColor = false;
			this->buttonUpdateT2->Click += gcnew System::EventHandler(this, &OrderEntry::buttonUpdateT2_Click);
			// 
			// buttonUpdateT3
			// 
			this->buttonUpdateT3->Anchor = static_cast<System::Windows::Forms::AnchorStyles>((((System::Windows::Forms::AnchorStyles::Top | System::Windows::Forms::AnchorStyles::Bottom) 
				| System::Windows::Forms::AnchorStyles::Left) 
				| System::Windows::Forms::AnchorStyles::Right));
			this->buttonUpdateT3->AutoSize = true;
			this->buttonUpdateT3->AutoSizeMode = System::Windows::Forms::AutoSizeMode::GrowAndShrink;
			this->buttonUpdateT3->BackColor = System::Drawing::Color::FromArgb(static_cast<System::Int32>(static_cast<System::Byte>(136)), static_cast<System::Int32>(static_cast<System::Byte>(158)), 
				static_cast<System::Int32>(static_cast<System::Byte>(176)));
			this->buttonUpdateT3->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->buttonUpdateT3->Location = System::Drawing::Point(187, 94);
			this->buttonUpdateT3->Name = L"buttonUpdateT3";
			this->buttonUpdateT3->Size = System::Drawing::Size(52, 23);
			this->buttonUpdateT3->TabIndex = 28;
			this->buttonUpdateT3->Text = L"Set";
			this->buttonUpdateT3->UseVisualStyleBackColor = false;
			this->buttonUpdateT3->Click += gcnew System::EventHandler(this, &OrderEntry::buttonUpdateT3_Click);
			// 
			// OrderEntry
			// 
			this->AutoScaleDimensions = System::Drawing::SizeF(7, 13);
			this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
			this->AutoScroll = true;
			this->ClientSize = System::Drawing::Size(261, 408);
			this->Controls->Add(this->tableLayoutPanelMain);
			this->Font = (gcnew System::Drawing::Font(L"Microsoft Sans Serif", 8.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
				static_cast<System::Byte>(0)));
			this->FormBorderStyle = System::Windows::Forms::FormBorderStyle::FixedSingle;
			this->Name = L"OrderEntry";
			this->SizeGripStyle = System::Windows::Forms::SizeGripStyle::Show;
			this->StartPosition = System::Windows::Forms::FormStartPosition::CenterScreen;
			this->Text = L"MetaScalper";
			this->TopMost = true;
			this->tableLayoutPanelOpen->ResumeLayout(false);
			this->tableLayoutPanelOpen->PerformLayout();
			this->flowLayoutPanelLots->ResumeLayout(false);
			this->flowLayoutPanelLots->PerformLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownLots))->EndInit();
			this->tableLayoutPanelMain->ResumeLayout(false);
			this->tableLayoutPanelMain->PerformLayout();
			this->groupBoxAuto->ResumeLayout(false);
			this->groupBoxAuto->PerformLayout();
			this->tableLayoutPanelATM->ResumeLayout(false);
			this->tableLayoutPanelATM->PerformLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownStop))->EndInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownTarget1))->EndInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownTarget2))->EndInit();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownTarget3))->EndInit();
			this->groupBoxSettings->ResumeLayout(false);
			this->groupBoxSettings->PerformLayout();
			this->tableLayoutPanelSettings->ResumeLayout(false);
			this->tableLayoutPanelSettings->PerformLayout();
			this->flowLayoutPanelLotSize->ResumeLayout(false);
			this->flowLayoutPanelLotSize->PerformLayout();
			this->groupBoxAdjust->ResumeLayout(false);
			this->groupBoxAdjust->PerformLayout();
			this->tableLayoutPanelAdjust->ResumeLayout(false);
			this->tableLayoutPanelAdjust->PerformLayout();
			this->flowLayoutPanelLotsAdjust->ResumeLayout(false);
			this->flowLayoutPanelLotsAdjust->PerformLayout();
			(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDownLotsAdjust))->EndInit();
			this->groupBoxOpen->ResumeLayout(false);
			this->groupBoxOpen->PerformLayout();
			this->ResumeLayout(false);
			this->PerformLayout();

		}
#pragma endregion

private: System::Void buttonBuy_Click(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventBuy;
				 }
private: System::Void buttonSell_Click(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventSell;
				 }
private: System::Void buttonAdd_Click(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventAdd;
				 }
private: System::Void buttonReduce_Click(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventReduce;
				 }
private: System::Void buttonClose_Click(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventCloseAll;
				 }
private: System::Void checkBoxStop_CheckedChanged(System::Object^  sender, System::EventArgs^  e) {
					 if (this->checkBoxStop->Checked)
						 this->event = this->eventSetStop;
					 else
						 this->event = this->eventUnsetStop;
				 }
private: System::Void checkBoxTarget1_CheckedChanged(System::Object^  sender, System::EventArgs^  e) {
					 if (this->checkBoxTarget1->Checked)
						 this->event = this->eventSetTarget1;
					 else
						 this->event = this->eventUnsetTarget1;
				 }
private: System::Void checkBoxTarget2_CheckedChanged(System::Object^  sender, System::EventArgs^  e) {
					 if (this->checkBoxTarget2->Checked)
						 this->event = this->eventSetTarget2;
					 else
						 this->event = this->eventUnsetTarget2;
				 }
private: System::Void checkBoxTarget3_CheckedChanged(System::Object^  sender, System::EventArgs^  e) {
					 if (this->checkBoxTarget3->Checked)
						 this->event = this->eventSetTarget3;
					 else
						 this->event = this->eventUnsetTarget2;
				 }
private: System::Void numericUpDownStop_ValueChanged(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventSetStop;
				 }
private: System::Void numericUpDownTarget1_ValueChanged(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventSetTarget1;
				 }
private: System::Void numericUpDownTarget2_ValueChanged(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventSetTarget2;
				 }
private: System::Void numericUpDownTarget3_ValueChanged(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventSetTarget3;
				 }
private: System::Void buttonUpdateStop_Click(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventUpdateStop;
				 }
private: System::Void buttonUpdateT1_Click(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventUpdateTarget1;
				 }
private: System::Void buttonUpdateT2_Click(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventUpdateTarget2;
				 }
private: System::Void buttonUpdateT3_Click(System::Object^  sender, System::EventArgs^  e) {
					 this->event = this->eventUpdateTarget3;
				 }
};

	ref class UIThread {
	public:
		System::Windows::Forms::Form^ myForm;
		
		void startUI() {
			Application::Run(myForm);
		}
	};
		
}
